[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#702583: ITP: python-ssdeep -- cython wrapper for libfuzzy

Package: wnpp
Severity: wishlist
Owner: Helmut Grohne <helmut@subdivi.de>

* Package name    : python-ssdeep
  Version         : 2.9-0.2
  Upstream Author : Philipp Seidel
* URL             : https://github.com/DinoTools/python-ssdeep
* License         : GPL-2
  Programming Lang: Python
  Description     : cython wrapper for libfuzzy

Long description from upstream:

| This is a straightforward Python wrapper for ssdeep by Jesse Kornblum,
| which is a library for computing context triggered piecewise hashes
| (CTPH). Also called fuzzy hashes, CTPH can match inputs that have
| homologies. Such inputs have sequences of identical bytes in the same
| order, although bytes in between these sequences may be different in
| both content and length.

Note that upstream embeds a copy of ssdeep. This package will use the
system libfuzzy instead.


Reply to: